summaryrefslogtreecommitdiffstats
path: root/.ci
diff options
context:
space:
mode:
authorredsky17 <joedonofry@gmail.com>2019-02-05 00:35:03 +0000
committerredsky17 <joedonofry@gmail.com>2019-02-05 00:35:03 +0000
commit9732c403ace9e38982c8898082674aca85a31aeb (patch)
tree6d7a651849bb468c5135fb63ce19b8fef4b4d9f6 /.ci
parentd72e362686c923bf31e40af5144dca4d4d4cfbe7 (diff)
Copy icu4c dylib symlinks in mac deploy
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/install.sh5
-rwxr-xr-x.ci/macos/deploy.sh6
2 files changed, 6 insertions, 5 deletions
diff --git a/.ci/install.sh b/.ci/install.sh
index f87685f9..72c34127 100755
--- a/.ci/install.sh
+++ b/.ci/install.sh
@@ -6,11 +6,6 @@ if [ "$TRAVIS_OS_NAME" == "osx" ]; then
brew update
brew install qt5 lmdb clang-format ninja libsodium cmark
brew upgrade boost cmake icu4c || true
- # make sure that ICU executables are added to the PATH
- # and that the shared objects files can be found by the linker
- export PATH="$(brew --prefix icu4c)/bin:$PATH"
- export DYLD_FALLBACK_LIBRARY_PATH="$(brew --prefix icu4c)/lib:$DYLD_FALLBACK_LIBRARY_PATH"
- export PKG_CONFIG_PATH="$(brew --prefix icu4c)/lib/pkgconfig:$PKG_CONFIG_PATH"
curl https://bootstrap.pypa.io/get-pip.py -o get-pip.py
sudo python get-pip.py
diff --git a/.ci/macos/deploy.sh b/.ci/macos/deploy.sh
index 7ab6831d..c573e2a6 100755
--- a/.ci/macos/deploy.sh
+++ b/.ci/macos/deploy.sh
@@ -9,6 +9,12 @@ PATH=/usr/local/opt/qt/bin/:${PATH}
pushd build
sudo macdeployqt nheko.app -dmg
+
+# macdeployqt does not copy symlinks over.
+# this specifically addresses icu4c issues but nothing else.
+export ICU_LIB="$(brew --prefix icu4c)/lib"
+find ${ICU_LIB} -type l -name "*.dylib" -exec cp {} nheko.app/Contents/Frameworks/ \; || true
+
user=$(id -nu)
sudo chown ${user} nheko.dmg
mv nheko.dmg ..